SDL_SetDefaultTextureScaleMode(3)

NAME
SDL_SetDefaultTextureScaleMode - Set default scale mode for new textures for given renderer.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_SetDefaultTextureScaleMode(SDL_Renderer *renderer, SDL_ScaleMode scale_mode);

DESCRIPTION
When a renderer is created, scale_mode defaults to SDL_SCALEMODE_LINEAR.

FUNCTION PARAMETERS

renderer
    the renderer to update.

scale_mode
    the scale mode to change to for new textures.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.4.0.

SEE ALSO
SDL_GetDefaultTextureScaleMode(3)